Bug 223377 - www/nginx: fastdfs patch garbled from last commit
Summary: www/nginx: fastdfs patch garbled from last commit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-02 09:53 UTC by Daniel Ylitalo
Modified: 2017-11-27 14:49 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (joneum)


Attachments
Proper contents of extra-patch-fastdfs-src-mod_fastdfs.conf (1.46 KB, patch)
2017-11-23 07:24 UTC, Daniel Ylitalo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Ylitalo 2017-11-02 09:53:27 UTC
In PR 222067 there was a patch added to fix a config issue with FastDFS.

However, the patch commited in r452061
https://svnweb.freebsd.org/ports/head/www/nginx/files/extra-patch-fastdfs-src-mod_fastdfs.conf?view=markup&pathrev=452061

somehow has the patch appended twice in the file so it does not apply during build.

If you could re-commit the patch in PR 222067 so it does not contain the same content twice.

File: files/extra-patch-fastdfs-src-mod_fastdfs.conf (remove half the content)

Thanks!
Comment 1 Jochen Neumeister freebsd_committer 2017-11-03 17:24:46 UTC
Thanks for the report. I am unfortunately busy the weekend. I added Daniel. He had reported the problem n PR 222067.
Comment 2 Daniel Ylitalo 2017-11-23 06:13:02 UTC
Any chance you have time for this one soon?

The only thing needs doing is removing half the content of files/extra-patch-fastdfs-src-mod_fastdfs.conf as you managed to append the patch twice to that file.
Comment 3 Jochen Neumeister freebsd_committer 2017-11-23 06:15:19 UTC
(In reply to Daniel Ylitalo from comment #2)

I'll try it. Can you provide a patch?
Comment 4 Daniel Ylitalo 2017-11-23 07:24:01 UTC
Created attachment 188204 [details]
Proper contents of extra-patch-fastdfs-src-mod_fastdfs.conf

You can replace the entire file with this
Comment 5 commit-hook freebsd_committer 2017-11-27 14:49:21 UTC
A commit references this bug:

Author: joneum
Date: Mon Nov 27 14:48:32 UTC 2017
New revision: 454960
URL: https://svnweb.freebsd.org/changeset/ports/454960

Log:
  www/nginx: fastdfs patch garbled from last commit

  PR:		223377
  Reported by:	daniel@blodan.se
  Approved by:	rene (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13258

Changes:
  head/www/nginx/files/extra-patch-fastdfs-src-mod_fastdfs.conf
Comment 6 Jochen Neumeister freebsd_committer 2017-11-27 14:49:41 UTC
landed, thanks :-)